| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Namespaces | Classes | Functions
Package IG.Forms

Interface implemented by file viewers (usually GUI components). More...

## Namespaces
package | Properties
package | Test

## Classes
class | AlignmentControl
| Control for setting horizontal and vertical alignment of items. More...
class | AlignmentControlOld
| Control for adjusting alignment. More...
class | AlignmentTestForm
| Test form, used only to test if control can be inclded in the form.. More...
class | AppTestForms
| Test application for forms. Usage: AppTestForms.Init(). More...
class | AssemblyInfoControl
class | AssemblyInfoForm
class | AssemblySelector
class | BrowserSimpleControl
class | BrowserSimpleForm
class | BrowserSimpleWindow
class | ConsoleForm
| Console replacement. More...
class | ControlManipulator
| Performs various operations on the specified controls: More...
class | ControlPropertyStore
| Stores properties of a specified control, and restores them to on arbitrary controls. More...
class | ControlViewerControl
class | ControlViewerForm
| Windows form (System.Windows.Forms.Form) that can launch and show arbitrary controls and can create them if necessary. More...
class | CookingTimerControl
class | CookingTimerForm
class | DialogControl
| Highly configurable interactive message box with custom buttons, message, and possibly editable text. More...
class | DialogForm
class | DialogFormDemoControl
class | DialogFormDemoForm
class | DirectorySelector
class | DllSelector
class | FadingMessage
| Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time. More...
class | FadingMessageOld
| Manages a fading message window. Windows containing a message are launched in separate threads, closing after a specified time. More...
class | FileSelector
class | FileViewerControl
class | FileViewerForm
class | FontEventArgs
| EventArgs class that contains font information. More...
class | FontSelectorSimple
| Simple control that allows font selection. More...
class | GraphWindowTemplate_Old
| Form used for plots. More...
class | HashControl
class | HashForm
interface | IClosableFromContainedForm
| Marker interface indicating that a form can be closed from the contained control. More...
interface | IFileViewer
class | ImageViewerControl
class | ImageViewerForm
class | IndexChangeEventArgs
| Event arguments for events bearing information about an index (of type int) that has changed. More...
class | IndicatorLight
class | IndicatorLightTestControl
class | IndicatorLightTestForm
class | InpuOrOutputtDataDefinitionControl
| Control for editing input or output data definitions (only one of these two at a time). More...
class | InputOutputDataDefinitionControl
class | InputOutputDataDefinitionForm
class | InputParametersControl
| Control for editing input parameter values. More...
class | InputParameterSelectorMinMax
| Selection of parameter to be varied, together with bounds - for parametric tests. More...
interface | IReporterConsoleForm
interface | IReporterFadeMessage
interface | IReporterMessageBox
interface | IReporterSpeech
class | MessageBoxLauncher
| An exemple form that launches various message boxes. More...
class | OutputValueSelector
| Selection of the output value of interest in an ANN model. More...
class | ReporterConf
| Reporter configuration. More...
class | ReporterConfigurationForm
| Reporter configuration. More...
class | ReporterConsoleMsgbox
class | ReporterConsoleMsgbox_Base
| Base class for reporter classes that contain either reporting via system console, reporting via message box, or both. More...
class | ReporterForms
| Reporting system that in particular utilizes forms. Beside the main delegates for assembling location and message strings, this class has three additional delegates for each kind of reporting (i.e. reporting with console consform, message box, fading message or console) More...
class | ReporterMsgbox
class | ReportMsg_Examples
class | ResourceSelector
class | ResourceViewerControl
class | ResourceViewerForm
class | ScalarFunctionEvaluatorControl
| Control for test evaluation of scalar functions. More...
class | ScalarFunctionEvaluatorForm
| Control for test evaluation of scalar functions. More...
class | ScalarFunctionScriptControl
| Control for definition of scalar functions by user defined expressions (through a script loader). More...
class | ScalarFunctionScriptForm
| Window for definition of scalar functions by user defined expressions (through script loader). More...
class | SoundPlayerControlSimple
class | SoundPlayerFormSimple
class | TestControl
| Test control. More...
class | TestForm
| Test form. More...
class | TestLayoutControl
class | TestLayoutForm
class | TestTestControl
class | TimerControl
class | TimerForm
class | UtilForms
| Various forms utilities. More...
class | UtilResponseForms
| Utilities that enable uniform behavior of response plotting forms. More...
class | ValueChangeEventArgs
| Event arguments for events bearing information about a value of type double that has changed. More...
class | ValueChangeEventArgs< ValueType >
| Event arguments for events bearing information about value that has changed. More...
class | VectorFunctionPlotter1d
| Form for training artificial neural networks. More...
class | VectorFunctionPlotter1dForm
class | VectorFunctionPlotter2d
| Form for simple parametric tests (variation of selected parameter) performed on ANN models. More...
class | VectorFunctionPlotter2dForm
class | VectorFunctionScriptControl
class | VectorFunctionScriptForm
class | WindowPositioner
| Takes care of windows positioning, relative of absolute to the screen and/or other windows. More...
class | WindowPositionerControl
| Control for testing window positioning. More...
class | WindowPositionerForm
| Windows form for testing window positioning./summary> $A Igor xx Oct09; More...
class | WindowShiftControlNumeric
| Control for setting window positions, relative positions, sizes, positions, shifts, etc. More...
class | WindowShiftControlText
| Control for setting window positions, relative positions, sizes, positions, shifts, etc. More...
class | XMLTestPath
class | XMLTestPathForm
class | XMLTreeView
| Summary description for XMLTreeView. More...
class | XmlTreeViewControl
class | XmlTreeViewForm
class | XMLTreeViewFormOld_Keep_Some_time
| Summary description for XMLTreeView. More...

## Functions
delegate void | SelectedIdEventHandler (int oldId, int newId)
| Delegate for events that are triggered when ID of hte selected object changes. More...
delegate void | ValueChangedEventHandler (double oldValue, double newValue)
| Delegate for events that are triggered when ID of hte selected object changes. More...
delegate void | VoidDelegate ()
| Summary description for FaidMessage1. More...
delegate void | FormDelegate (Form f)
| Reference to a function without arguments & return value. More...
delegate void | ControlDelegate (Control ct)
delegate void | FontEventHandler (object sender, FontEventArgs args)
| EventArgs type for font related events, contains a font object. More...

## Detailed Description

Interface implemented by file viewers (usually GUI components).

## Function Documentation

delegate void IG.Forms.SelectedIdEventHandler | ( | int | oldId,
|  | int | newId
| ) |  |

Delegate for events that are triggered when ID of hte selected object changes.

Parameters

  oldId | Old ID.
  newId | New ID.

delegate void IG.Forms.ValueChangedEventHandler | ( | double | oldValue,
|  | double | newValue
| ) |  |

Delegate for events that are triggered when ID of hte selected object changes.

Parameters

  oldId | Old value.
  newId | New value.

delegate void IG.Forms.VoidDelegate | ( |  | ) |

Summary description for FaidMessage1.

Referenced by IG.Forms.FadingMessageOld.CloseForm(), IG.Forms.ConsoleForm.CloseForm(), IG.Forms.FadingMessage.CloseForm(), IG.Forms.ReporterConf.CloseForm(), IG.Forms.ReporterConfigurationForm.CloseForm(), IG.Forms.ConsoleForm.FinalizeReading(), IG.Forms.ConsoleForm.HideInput(), IG.Forms.XmlTreeViewControl.LoadFileToListBox(), IG.Forms.XMLTreeView.LoadFileToListBox(), IG.Forms.XMLTreeViewFormOld_Keep_Some_time.LoadFileToListBox(), IG.Forms.XmlTreeViewControl.LoadFileToTextBox(), IG.Forms.XMLTreeView.LoadFileToTextBox(), IG.Forms.XMLTreeViewFormOld_Keep_Some_time.LoadFileToTextBox(), IG.Forms.XmlTreeViewControl.ParseFileToTreeView(), IG.Forms.XMLTreeView.ParseFileToTreeView(), IG.Forms.XMLTreeViewFormOld_Keep_Some_time.ParseFileToTreeView(), IG.Forms.ConsoleForm.PrepareForReading(), IG.Forms.ConsoleForm.Read(), IG.Forms.ConsoleForm.ReadDouble(), IG.Forms.ConsoleForm.ReadLine(), IG.Forms.ConsoleForm.ReadLong(), IG.Forms.ConsoleForm.ReadString(), IG.Forms.ConsoleForm.ShowInput(), IG.Forms.ConsoleForm.UpdateOutSettings(), IG.Forms.ConsoleForm.UpdateSettings(), and IG.Forms.ConsoleForm.WriteOutput().

delegate void IG.Forms.FormDelegate | ( | Form | f | ) |

Reference to a function without arguments & return value.

delegate void IG.Forms.ControlDelegate | ( | Control | ct | ) |

Referenced by IG.Forms.ReporterConf.ConsoleForm_Load(), IG.Forms.ReporterConfigurationForm.ConsoleForm_Load(), IG.Forms.FadingMessageOld.FadeMessage_Load(), IG.Forms.FadingMessage.FadeMessage_Load(), and IG.Forms.ReporterConf.ReporterConf_Load().

delegate void IG.Forms.FontEventHandler | ( | object | sender,
|  | FontEventArgs | args
| ) |  |

EventArgs type for font related events, contains a font object.

Parameters

  sender | Object that trigered event.
  args | Event argumets that contain the related font object.